Precautions / Disclaimer

Help >

Precautions / Disclaimer

This product is very critical in a vehicles controls and could cause accidents and death or injury. Spitronics carry no responsibility in this regard as it is a DIY product that is installed by third parties. If you are an installer then read the instructions carefully and communicate the fact that it is used at your/his own risk, to the customer. Strictly abide by the wiring ruses as this may cause accidental opening. It is your responsibility as an installer and make the customer sign a disclaimer should something go wrong.

Copyright © 2013. All rights reserved.


Introduction

Help >

Introduction

The Proxima or Mercury2 can be used as throttle by wire controller. Proxima can be used for single acting throttles and Mercury2 can be used for single or dual acting throttles. Double acting throttles require positive and negative drivers to form an H-bridge. This will allow current to change direction to open or close the butterfly. Dual throttles have a rest position that is partially open to act as limp mode power during electronic failure. This product is in prototype status and use the ECU software for now. Dedicated TxW software will follow soon.

These units are standalone units and can operate without the engine running. It may also be used with other management systems. There are protection diodes and resistors wired into the system. It also has its own relay to power the throttle. These modifications is to ensure lockout of the power to the throttle during and malfunction of the sensors, harness or electronics. Do not power the unit via another source by bypassing the relay etc.


Version Changes in Ver 3.5B

Help >

Version Changes in Ver 3.5B

Each version change will have changes in the software or firmware. This document will explain the changes from Hyperspace Ver 3.5 to Hyperspace Ver 3.5B. Version 3.5A was a test version for Proxima.

Throttle Protection

This is a product under development and in Version 3.5B we improved throttle power protection. This will limit the duty cycle power applied on the throttle motor during calibration and testing. It is a universal program and must be set for each type of throttle. See Step 1 Pedal & Throttle Test.

Tuning settings

After Mercury2 firmware was developed after Proxima and the settings differed. Proxima used the auxiliary registers which is changed to be the same as Mercury2 to simplify manuals.

Clone Feature

The standard Hyperspace clone feature is also added to copy tuning maps and calibrations without the need for a programmer. See the ECU manual for more description on this. If you upgrade it may be locked where you then have to load your map again. So make a copy before upgrading.

Dual Maps

These units can now handle dual maps for different operations. See the ECU manuals for more description on this. Proxima is the same as Pluto2.

Temperature Compensation

Proxima can now also do cold start compensation. You will need Standard Class for this feature.


Mercury2

Help >

Introduction Mercury2

The Mercury2 can be used as throttle by wire controller. This feature will reduce the amount of inventory that a dealer has to keep for different products. Note that some of the components is not standard in the Mercury2 and was built into the harness. These are filtering diodes and voltage level resisters for protection against sensors or harness failure. Mercury2 has positive and negative drivers to form an H-bridge. This will allow current to change direction to open or close the butterfly.

The hardware class will determine features that can be activated on them.

· Standard Class - normal throttle by wire control + idle control + Cold start compensation

Read the subfolders for detail installation and setup instructions. First finish the wiring then do the setup as the sub folders are placed, top to bottom in sequence.


Firmware File Name

Help > Mercury2 >

Firmware File Name

Mercury2 TXW Standard 6 Ver 3.5B 18_04_2018.HEX

The dates may differ but Ver 3.5B if discussed here in this manual.


Step 1: Pedal & Throttle Test

Help > Mercury2 >

Pedal and Throttle Test

This step is will allow you to test the Pedal and Throttle TPS operation and also determine the maximum power allowed on the throttle motor. Most throttles have plastic gears and if the power is too much, they may be damaged. The butterfly may also hit the barrel to hard causing damage. The throttle TPS calibration are done automatically by the TxW so you will not see if it is working correctly. NB! Do not attempt to calibrate the TPS before this procedure is done.

First set the following values before proceeding:

Set the Low Limit Duty Cycle to 0 and the High Limit Duty Cycle to 128. This High value represent the maximum duty cycle that will be applied to the throttle at any time. A value of 255 = 100%. Use a value of 128 = 50% which will let you start off on the safe side. It may require a higher value on some throttles but then you can increase it later.

Set the Duty and Gain values at zero.

Set the test feature on. This will deactivate throttle control and calibration, and will display the actual values of the Pedal TPS and the Throttle TPS on the real-time bars. The Throttle TPS is displayed on the POT bar and the Pedal TPS is displayed on the TPS bar. On simulators it may use different potentiometers as we use different inputs on the TxW.

NB! Disconnect your engine ECU outputs as this setup requires the pedal to be moved plenty of times which will activate the prime function and inject petrol into the intake manifold.

To test the Pedal TPS look at the real time display and press the pedal fully and then release it again. The TPS bar should move a fair distance in the display but should not reach maximum or minimum limit. If it does, then use the other signal on the Pedal TPS or adjust the sensor inside so that it has free play. See min and max example below.

to

Also note if the action is inverted. This will help setup the pedal logic on rising- or falling edge later during calibration. The standard setup is rising volts with throttle depression. It may be incorrect connection of the 5 volt and ground wires.

To test the throttle TPS for correct operation you need to manually press the throttle open and close. This must be done by finger or soft plastic so that you don't damage the butterfly or tube. First press it close, then leave it at rest point, then open it fully. The POT bar should move a fair distance in the display but should not reach maximum or minimum limit. If it does, then use the other signal on the throttle TPS or adjust the sensor inside so that it has free play. You should see some results like below:

to [image] to

Also note if the action is inverted. It must be rising in value with increase of throttle. If it is falling volts with opening, then it may be incorrect connection of the 5 volt and ground wires.

If you can't get to the throttle to test the TPS then you can skip to the next step and open it from the TxW side and see if it functions correct. You will only be able to see the rest and open position.

to

Determine Maximum Duty cycle.

Make sure Test is on. Now adjust the Opening Duty with the arrow and increase it gradually till the throttle opens.

Look carefully at the throttle TPS on the POT bar. Adjust it ill it reaches the maximum determined in the previous test which was 71%. If you could not do the previous test, then adjust it till you don't see any more increase in throttle movement on the POT bar. Now put the Test off. If you put Test back on, then the throttle will open again. It may be slow to react as it gets just enough power to its motor. Now increase the Opening Duty more and testing throttle response every time you alternate the Test function. Do this till the throttle responds just fast enough without making the value more than is needed. You should hear it reaching its full open limit but not too hard. If you make the duty more, then you may risk damaging the plastic gears. If it is too slow then it may respond sluggish in blip conditions. If this value increase more than 128 then you may need to increase the High Limit Duty Cycle value.

Now take this Opening Duty value and type it in the High Limit Duty Cycle block. This will prevent the TxW to ever exceed this amount of power to the unit.

Now put the Test function off and proceed with the next Step.


Step 2: Pedal TPS

Help > Proxima >

Pedal TPS

The TPS selection must be on. The electronic pedal signal is wired to this input. This input goes only to the TxW and not the ECU etc. It is an indication to the firmware what the driver requires and it could be modified in relation to actual throttle movement. This mean the pedal could be 50% depression but the actual throttle opening could be 35%.

Once wiring and connections are done, and the maximum duty power in previous step is set, then you may proceed to calibration. Calibration is done as normal by stepping on the pedal and releasing it. After save is pressed the Mercury2 will do an automatic calibration of the throttle. It will open the throttle completely and take a reading. Then close it completely and take another reading. Then switch power off and take a reading of the rest position. It happens in half second intervals but you can see the action. The throttle TPS is now also calibrated but the throttle control power still needs to be setup. This is described further in the manual. If you are not sure on TPS calibration, then see the ECU manual for calibration procedure.

Show graph is used for pedal profile change and discussed in another sub folder.


Step 3: Throttle TPS

Help > Proxima >

Throttle TPS

The Tuning Pot selection must be on. This is the Throttle TPS input. It will relay the actual throttle position to the TxW controller. This signal is also connected to the ECU and TCU as a TPS input. In some cases, the ECU may supply the power to the throttle TPS, and in some it may be the TxW that supply the power of 5 volts. Do not connect both supplies together as it may damage some of the devices. The other systems must tap in to the TPS signal only. Note that systems that share sensors requires the same earth connection to ensure signal accuracy.

The Tuning Pot input must be selected on launch. The pot register is the Dashpot damper in % throttle opening. When the throttle is blipped it will dampen the return to let the engine return to idle more gradually. This is very useful with automatic transmissions to prevent stalling. If the Pedal TPS value is greater than TPS idle cutoff, and revs is 500 rpm more than target RPM, then the throttle minimum opening is set to this POT Register %. When the pedal is release below TPS idle cutoff, then the throttle will be momentarily stopped at this opening and then returned slowly. Start with a small value and blip the throttle. See the effect of dampening at a slighter higher than idle RPM.


Step 4: Throttle Setup

Help > Mercury2 >

Throttle Setup.

After TPS calibration you need to set the throttle control parameters. This is done manually because throttles differ in power requirements. Some use more power to open than others and this is universal firmware to cater for most variations. There may be some throttles that cannot be controlled by this firmware but we will determine that in this process.

The throttle TPS range limits are calculated by the Mercury2 automatically during pedal TPS calibration. This setup procedure will determine opening and closing power required to control the throttle gently. It differs between different throttle manufacturers and must be adjusted for each type. If you load a map from a similar throttle then it should be working.

The accelerator pump in the ECU software is used for the throttle adjustments. Note that the text in Red is not in the software but only for explanation which blocks to adjust. First zero Duty and Gain settings for both sides.

The throttle will then have no power on it and it should show the resting %.

If you open the throttle by finger completely it should go to 100% and closing completely should indicate 0%. Which means it calibrated correctly.

This Pot value at resting position in this case 9%, multiplied by 2.55 should be roughly the same as the Map Teeth value. Map Teeth is the rest position of the throttle and is a value from 0 to 255 which represent 0 to 100% throttle. Map Teeth = POT * 2.55

This is handy to know later if you want to fine tune erratic movement around the rest position.

To adjust throttle opening and closing duty.

Put the ignition on. Do not start the engine.

Put the TPS graph, Water Temperature and Idle-control off. Also put low limit duty cycle to 0.

Now press and keep the pedal in completely. Look at the throttle TPS in the real time screen on the POT bar. Now use the arrows of Opening Duty and increase the value till the throttle open above 95%. Remember this value. Now reduce this value till the throttle close to 5% above the rest position (less than 9 + 5 =14%) Take the average of the two values and set opening duty to that value. In this example 115(to open) + 75(to close) = 190 / 2 = 95. Now release the throttle. If you press it again, the throttle should not open. This means you have determined neutral duty cycle where the throttle will not open or close. It will stay in that position if you press it with your finger while the pedal is pressed. If the open and closing duty cycle are very small, then this neutral zone will not happen. For these throttles you will require different firmware.

Now release the throttle and increase the Closing Duty till the throttle close to 1 or 2 %. Then lower the Closing Duty till the throttle open to 8 %. (About 1% lower than rest position) Take the average of the two values and set closing duty to that value. It should be similar than the opening duty.

To adjust throttle opening and closing gain.

Now press the pedal fully and increase the Opening gain slightly. The throttle should open to about 99%. You may increase the value till you get a fast enough response and the throttle follow the pedal value. If the gain value is too high the throttle will vibrate. It should be around 4.

Now release the pedal and increase the Closing Gain till the throttle is about 1% value. The closing values should be the same value as the opening duty and gain. It should look like the example below.

Now press the pedal slowly so that the throttle read the same as rest point. Take it slowly above the rest point and back. Notice if the throttle shudder excessively on the transition point. If it does vibrate or seem to have a dead band, increase or decrease the Map Teeth and see where the throttle is smooth when it passes the rest point with the least amount of shutter. Save the settings to the device.

Idle setting

This value is the minimum opening for the TxW to control the butterfly. Now you may start the engine and adjust the Low Limit Duty Cycle till the engine idles on its own. Let the engine get up to working temperature and adjust this setting till the engine runs at the desired idle RPM minus 100. This will allow the TxW to control the idle faster. You may now proceed to idle control setup.


Step 5: Throttle Modulation

Help > Proxima >

Throttle Modulation

The throttle movement can be adjusted to open on a different value than the pedal set point. This is handy when large throttles are used. Then when it is used in town you can select more pedal movement than throttle movement which will make the car more drivable or the pedal less sensitive. Then on last movement to full throttle the throttle will move more than the pedal and give the extra power required.

Selected the Show Graph next the TPS selection.

See picture below. The X Axis is pedal TPS movement and the Y axis is throttle movement set point. The range is from 0 to 100. -50 is 0% and +50 is 100% throttle. If Show Graph is off then throttle movement set point will be the same as pedal TPS %.

After setting make sure the throttle can move over the whole scale range. Note that Low Limit Duty Cycle will cause the throttle to not go to 0% but remain it idle %. You may start the graph at a higher value that -50% so that the throttle moves more instantly when the pedal is pressed. Make sure not to make it too high as it will then overcome the min duty cycle.


Step 6: Cold Start Compensation

Help > Proxima >

Cold Start Compensation

The TxW can do cold start compensation. It compensates by increasing the min opening of the throttle. It is more stable than to lift the target RPM's. It will operate also if idle control is not used.

To use cold start control, the unit requires a water temp sensor. This system has 2 options. A standalone sensor and a tap in input for the Spitronics ECU's. Note that the curve for both sensors is for the 2K NTC resistors. The tap in wire does not have a pull-up resistor and will not influence the ECU reading.

For the pull up resistor option on water sensor for standalone systems, set the water and air sensor as below. Put water calibration value on 100. The water sensor input on the mercury2 is used. The water compensation graph will replace the Low Limit Duty Cycle value as idle setting. See further in the manual.

For the tap-in option with no pull up resistor, set the water and air sensor as below. The Lambda sensor input on the mercury2 is used for the tap-in input as it has no pull-up resistor. Put water calibration value on 100. Air calibration is not used as a sensor merely as a selection. The water compensation graph will replace the Low Limit Duty Cycle value as idle setting. See further in the manual.

If both settings are off, then there will be no water temperature compensation for cold start. The Low Limit Duty Cycle value will be used as idle setting when no temperature sensors is selected.

With temperature compensation selected, the water graph for fuel will be used as the minimum closing duty cycle with temperature compensation. Note that the graph is used from 0 to 100 which means 0% to 100% opening. For a cold engine you can raise the value which will let in more air to compensate for poor fuel burn. This feature can also be used without idle control. See the graph below.


Step 7: Idle Control

Help > Proxima >

Idle Control

To use idle control the unit requires an RPM pulse. Any number of pulses per revolution could be used up to 60. This will calibrate the rev counter in the software easily. You may compare it to the ECU RPM counter. Ex. Should you use a 36-2 trigger wheel then select 34 pulses.

The Pulses/RPM block is used for this value.

The rest of the idle control settings is the same as is used in the ECU. See description below.

Idle Control Type

If idle control is used then select Idle Valve. Otherwise select Not Used. If idle valve is selected then the RPM signal will become active. Otherwise it is disabled.

RPM

This setting is the target idle RPM's when the engine is on running temperature. Note that the min idle setting or the cold temperature compensation may cause the engine to idle at a higher value.

Start %

This setting is used to increase the air intake when the engine is started hot or cold. The ECU will open the idle valve to this %. Once the engine reaches 500 RPM it will cancel this setting and go to normal throttle operation. If you press the pedal then this setting will be override.

Response Time Up

This setting will determine the rate at which the valve opens when the actual RPM's fall below the set point in Idle RPM. The further the RPM fall below the set point, the faster the ECU will open the valve to let in more air. Low values will create a faster response time and high values will create a slower response time. This setting must prevent the engine from stalling when you switch the air conditioner on, or put it in drive.

Response Time Down

This setting will determine the rate at which the valve closes when the actual RPM's go above the set point in Idle RPM. The further the RPM goes above the set point, the faster the ECU will close the valve to decrease airflow into the engine. This value is set higher than the Response Up value, to eliminate hunting. Low values will create a faster response time and high values will create a slower response time. This setting must bring fast idling down as fast as possible without hunting the engine.

Low Limit duty cycle

This setting will preload the TxW so that the valve does not close beyond this value. It is used as min idle when there is no temperature sensor connected. To set the value start with a larger % and decrease until the desired idling RPM is reached in neutral when the engine is on working temperature. Note that the throttle modulation or cold start compensation may override this value.

High Limit duty cycle

This setting is used to limit the maximum throttle opening. It is set at 100 to open the throttle fully. It may be used as power limiter by entering lower values.

TPS Idle Cutoff %

This value is used to disable the idle control when the driver touches the throttle. The reason is that the ECU must know when not to control idle as the driver may need just a minimal amount of revs with slight throttle.


Limp Mode Testing

Help > Proxima >

Limp Mode testing

It is good practice to test the TxW for sensor failure. Any one of the 3 wires of the two TPS sensors can fail and then the TxW must react and put itself in limp mode. To test this operation lightly connect the 2 TPS sensors. After throttle setup, put the ignition on and press the pedal 50%. The throttle will open some way depending on setting. Now take the 6 wires to the 2 TPS sensors off only one at a time. Each time the throttle must fall out and go in limp mode. Limp mode means the butterfly is in rest position. If it goes fully open or fully close, then there is a wiring problem. Some single action throttle may close completely. After fixing the problem then solder the joints and cover them properly. Remember this throttle control the power of the engine and it could cause the car leaping forward and into an accident or leaving the road. So make sure wiring is done according to recommendations.


Trouble Shooting

Help > Proxima >

Trouble shooting

There are common problems that installer make that hinder proper operation and reliability. Especially if custom harnesses are made. Below are a few examples:

  • Make sure the TxW earth and ECU earth is mounted on a proper place on the body of the car. Do not make long earth leads to the battery. See the power wiring section in the ECU manual.
  • The power on the relay pin 30 must come from the battery and thick wires. Do cot connect pin 87 to the ECU relays.
  • If the power wires are too thin then the throttle calibrations change once you start the engine. This may also be due to the alternator wiring that connects with the power harness.
  • The ECU power comes from the key power circuit and not the same power that supply the throttle. This usually make interference in the RPM signal.
  • Make sure the RPM signal is constant and stable. Erratic behavior will result in incorrect idle control.
  • The free-wheel diodes must also have a proper earth and power wire. Earth must go to the ECU earth point and positive to pin 87.
  • Do calibration and setup in the same order as discussed in the manual. Make sure the throttle flap open, close and rest after you calibrated pedal TPS.
  • If you set up the system and it does not perform like the document say investigate or contact your dealer for support. Do not let something halfway into the street.
  • Make sure you wire the resistors in as the harness drawing suggest. The reason is that it is fail safe resistors in case a wire break off. See the Limp Mode Testing section.
  • Throttle is hunting on idle control. Make sure the ECU settings on idle fuel and timing settings is correct. See the idle control tuning section. It could also be incorrect settings of gain and rest position.


Wiring

Help > Mercury2 >

Wiring

See the wiring diagrams in the sub folders for each type of throttle valve. There may also be custom firmware for different models like the Citroen TxW. Make sure to connect the free wheel diodes correctly and let the Mercury2 power its own relay as per drawing. Note that the dual throttle requires 4 diodes to eliminate spikes. After the unit is tuned you may load the lock file which means the firmware does not have the ability to write to memory during interference spikes on the micro. If you need to make adjustment reload the normal firmware.

Basic universal drawing

Mercury2 Reference Wiring Diagram

Specific models drawings

Mercury2 Lexus 3UZ Wiring Diagram

Mercury2 Citroen Wiring Diagram

Harness design drawings

X05 Harness

X06 Harness


Proxima

Help >

Introduction Proxima

The Proxima is a dedicated throttle by wire controller. It is based on Pluto2 electronics with a few hardware modifications for filtering diodes and voltage level resisters. The harness does not require electronic components. Proxima has only negative drivers which will allow current in one direction only. It can only be used on single action throttle which can only open throttles that don't have limp mode rest positions.

The hardware class will determine features that can be activated on them.

· Basic Class - normal throttle by wire control + idle control

· Standard Class - normal throttle by wire control + idle control + Cold start compensation

Read the subfolders for detail installation and setup instructions. First finish the wiring then do the setup as the sub folders are placed, top to bottom in sequence.


Firmware File Name

Help > Proxima >

Firmware File Name Proxima

Proxima TXW ECU Combo 1 Ver 3.5B 18_04_2018.HEX

The dates may differ but Ver 3.5B if discussed here in this manual. This firmware is written to use the same settings as the Mercury2 firmware, to minimise confusion. Ver 3.5 uses different blocks in the ECU software. Pluto2 is featured on the information because we use this software till the dedicated throttle by wire software is commissioned.


Step 1: Pedal & Throttle Test

Help > Proxima >

Pedal and Throttle Test Proxima

This step is very important to set the maximum power that the throttle are allowed to receive from the TxW unit. Most throttles have plastic gears and if the power is too much, they may be damaged. The butterfly may also hit the barrel to hard causing damage. This step will also put your Pedal and Throttle TPS signals in test mode so that you can see if they are working correctly before attempting calibration. The throttle TPS calibration are done automatically by the TxW so you will not see if it is working correctly. NB! Do not attempt to calibrate the TPS before this procedure is done.

First set the following values before proceeding:

Set the Low Limit Duty Cycle to 0 and the High Limit Duty Cycle to 128. This High value represent the maximum duty cycle that will be applied to the throttle at any time. A value of 255 = 100%. Use a value of 128 = 50% which will let you start off on the safe side. It may need a higher value on some throttles but then you can increase it later.

Set the Duty and Gain values at zero.

Set the test feature on. This will deactivate control and calibration and will display the actual values of the Pedal TPS and the Throttle TPS on the real-time bars. The Throttle TPS is displayed on the POT bar and the Pedal TPS is displayed on the TPS bar. On simulators it may use different potentiometers as we use different inputs on the TxW.

NB! Disconnect your engine ECU as this setup requires the pedal to be moved plenty of times which will activate the prime function and inject petrol into the intake manifold.

To test the Pedal TPS look at the real time display and press the pedal fully and then release it again. The TPS bar should move a fair distance in the display but should not reach maximum or minimum limit. If it does, then use the other signal on the Pedal TPS or adjust the sensor inside so that it does have free play. See min and max example below.

to

Also note if the action is inverted. This will help setup the pedal logic on rising- or falling edge later during calibration. The standard is rising and it may be incorrect connection of the 5 volt and ground wires.

To test the throttle TPS for correct operation you need to manually press the throttle open and close. This must be done by finger or soft plastic so that you don't damage the butterfly or tube. First press it close, then leave it at rest point, then open it fully. The POT bar should move a fair distance in the display but should not reach maximum or minimum limit. If it does, then use the other signal on the throttle TPS or adjust the sensor inside so that it does have free play. You should see some results like below:

to [image] to

Also note if the action is inverted. It must be rising in value with increase of throttle. If it is falling then it may be incorrect connection of the 5 volt and ground wires.

If you can't get to the throttle to test the TPS then you can skip to the next step and open it from the TxW side and see if it functions correct. You will only be able to see the rest and open position.

to

Determine Maximum Duty cycle.

Make sure Test is on. Now adjust the Opening Duty with the arrow and increase it gradually till the throttle opens.

Look carefully at the throttle TPS on the POT bar. Adjust it ill it reaches the maximum determined in the previous test which was 71%. If you could not do the previous test, then adjust it till you don't see any more increase in throttle movement on the POT bar. Now put the Test off. If you put Test back on, then the throttle will open again. It may be slow to react as it gets just enough power to its motor. Now increase the Opening Duty more and testing throttle response every time you alternate the Test function. Do this till the throttle responds just fast enough without making the value more than is needed. You should hear it reaching its full open limit but not too hard. If you make the duty more, then you may risk damaging the plastic gears. If it is too slow then it may respond sluggish in blip conditions. If this value increase more than 128 then you may need to increase the High Limit Duty Cycle value.

Now take this Opening Duty value and type it in the High Limit Duty Cycle block. This will prevent the TxW to exceed this amount of power to the unit.

Now put the Test function off and proceed with the next Step.


Step 4: Throttle Setup

Help > Proxima >

Throttle Setup Proxima.

The throttle limits is calculated by the Proxima during pedal TPS calibration. This process will determine opening and closing power to control the throttle gently. It differs between different throttle manufacturers and must be adjusted for each type. If you load a map from a similar throttle then it should be working.

The MAP accelerator pump in the ECU software is used for the throttle adjustments. Note that the text in Red is not in the software but only for explanation which blocks to adjust.

To adjust these values first zero all both of them. The throttle will then have no power on it and it should show the resting 0%.

To adjust throttle opening duty and gain.

Put the ignition on. Do not start the engine.

Put the TPS graph, Water Temperature and Idle-control off. Also put low limit duty cycle to 0.

Calibrate of the TPS if you have not done it yet. When you save after Pedal TPS calibration, the ECU will open and close the throttle automatically.

Now press and keep the throttle in completely. Look at the throttle TPS in the real time screen on the POT bar. Now use the arrows of Opening Duty and increase the value till the throttle open above 95%. Remember this value. Now reduce the value till the throttle close to below 5%. Take the average of the two values and set opening duty to that value. In this example 115(to open) + 75(to close) = 190 / 2 = 95. Now release the throttle. If you press it again, the throttle should not open.

Now press the pedal fully and increase the Opening gain slightly. The throttle should open to about 99%. You may increase the value till you get a fast enough response and the throttle follow the pedal value. If the gain value is too high the throttle will vibrate. It should be around 4. Save the settings to the device.

This value is the minimum opening that the TxW will control the butterfly. Now you may start the engine and adjust the Low Limit Duty Cycle till the engine idles on its own. Let the engine get up to working temperature and adjust this setting till the engine runs at the desired idle RPM minus 100. This will allow the TxW to control the idle faster. You may now proceed to idle control setup.


Wiring

Help > Proxima >

Wiring Proxima

See the wiring diagrams in the sub folders for each type of throttle valve. There may also be custom firmware for different models like the Citroen TxW. Make sure to connect the free wheel diodes correctly and let the Proxima power its own relay as per drawing. After the unit is tuned you may load the lock file which means the firmware does not have the ability to write to memory during interference spikes on the micro. If you need to make adjustment reload the normal firmware. You will need a Firmware Programmer for this option.

Basic universal drawing

X03 Reference Wiring Diagram.pdf

X04 Reference Wiring Diagram.pdf

Specific models drawings

Lexus 1UZ Wiring Diagram.pdf

Lexus 2UZ Wiring Diagram.pdf

Harness design drawings

X03 Harness.pdf

X04 Harness.pdf


ECU Idle Control Tuning

Help >

Idle control Tuning

Idle control is done with different methods. It could be external idle valve or stepper motor or it could be done with partial throttle motor or full drive by wire throttle. Due to the delay in mechanical control to stabilise idle, you need to tune the ECU and idle valve together. The reason is that the ECU can react faster than a mechanical air restrictor valve. And most of the times hunting is a result of incorrect engine tuning. If idle drops then the valve opens to correct. That adds more air resulting in a worst effect and it comes with a delay. Then the ECU will add fuel due to more air resulting in high rpm which in turn close the idle valve and this repeats out of control. Also after blip the idle valve must capture the engine rpm before it stalls. Again here the ECU can react faster by adding timing and fuel to assist in this process. This section describe what needs to be done on the ECU side to help smooth idle control. See the different types of idle control and how to adjust their settings in the idle control setup section.

Setting the Idle Jet for Time & Fuel

When an engine idles in neutral and is at working temperature, the idle timing should be around 15 to 18 degrees depending on altitude. This may vary from engines but this is a basic guideline. Increasing idling degrees usually result in higher RPM's. Do not confuse this thinking it is what the engine needs. All you will do is lowering the air volume to bring idle down. This will result in very poor power and engine will easily die off when you put a bit of load on it. The lower the engine timing the slower the engine idles and the more idle air it requires. It will also require a slightly richer mixture. Now if you put a little load on the engine you immediately add timing which will make more power due to the rich mixture with more air. Adjusting timing is immediate and there is no mechanical delay. Now when an engine wants to hunt you can effectively control power to it without the idle control valve or throttle movement. Below is some basic ECU settings.

First adjust the timing so that at idle there is 15 degree dynamic timing and no vacuum timing.

Adjust the Idle fuel so that the engine has just enough fuel to idle constant. Do not make it too rich. It should be close to avalanche point where if you go leaner the engine will lose power. The best way to see this point is where the vacuum signal will be at its lowest point for normal engines. Any more or less fuel will results in higher vacuum. Racing cams and matrix tuning will be saver to look at A/F ratio. Idling RPM's should be on your Target RPM value. In this example 800 RPM. Notice that the green and brown graph below on RPM compensation is at zero compensation. Only the main graph determine idle fuel. Also make sure water and air compensation is zer0.

Now when the engine hunts we will use timing to control it before the idle valve needs to act. First you must understand what happens in hunting. The engine will lose power resulting in an increase in manifold vacuum. The vacuum bar will move to the right and the RPM bar will move to the left. Due to our slower timing we can increase timing to add power which will increase RPM. Adjust the Low rpm timing graph as below.

Lower rpm also brings more air in the manifold which requires a bit more fuel to make the mixture a power mix. Adjust the green and brown graph on the RPM graph ay the lower rpm range to add a certain % fuel. Note on the fuel load graph we already should have a slight increase in fuel.

Now the above adjustments will capture falling RPM's and it may now cause the idle control valve to react as well adding air. This will increase RPM above target. There is an up and down response on the idle valve control settings. As a rule we make up response faster to ensure that the engine does not stall. Then we make down response slower to prevent hunting. Will result in more vacuum which makes the vacuum bar move left and the RPM bar moving right. First we use timing again to make it slower reducing engine power.

Then less air also needs less fuel. This time we adjust the fuel load graph as the engine don't use this part for normal riding. Note however, that deceleration will cause the vacuum to move in this region. If the mixture is too lean then the engine to being jerking due to too lean mixture.

Automatic Transmissions

For automatic transmissions tuning principles are the same as above. But there are two load steps that differs for neutral and drive. After you do the neutral tuning, then put the engine in drive. The load on the engine from the transmission will cause the vacuum bar to move to the right quite a bit. RPM is controlled and will stay the same. So you need to make sure that the idle fuel will increase for the added load.

Related Links

Idle Control Wiring

Idle Control Setup

Error Codes


Frequently asked questions

Help >

FAQ Frequently Asked Questions

This chapter will shed light on certain areas where common mistakes are made or remedies on problems can be found. It is a general knowledge chapter and will have all the questions answered around the topic. It is systematically put forward and will guide you to the problem or to a point where the dealer can help you faster and not need to ask un necessary questions. If your answer is not there, please contact the dealer for help and let us know to answer that question for future use as well.


Dual Drive by Wire Throttles

Help > Frequently asked questions >

Dual Drive by Wire Throttles

Due to the number of questions I decided to discuss this setup in details.

Dual throttles was designed to split mostly V engines to run it as two separate engines. The V12 and some V8 engines used this setup. The advantage is in cruise mode one throttle operate independently from the other and can reduce fuel consumption by taking the load of half of the cylinders. It may also help in low power use to control a single throttle more effectively than one large throttle. There may be more reasons unknown to me.

These engines have two intake plenums and they are not shared with vacuum. This means that the two throttles is not balanced and does not produce the exact same manifold pressure. This will then require two MAP or MAS sensors and separate fuel calculations. Which means two ECU's which are difficult to setup and tune.

To run this engine with a dual throttle and one ECU will be impossible. You will have to modify the intake to add a runner between the 2 manifolds. This may influence the air flow dynamics of the manifold. The other option is to add one larger throttle and split it to the two intake pipes. I've seen this plenty of times and were done professionally. It is in my opinion the better modification.

Due to this information we have not developed dual TxW as you can see it will require mechanical modifications. I stand to be corrected.


Allocate Device

Help > Portal Wholesaler >

Allocate Device

To allocate a device for a hardware classification you must first receive the device and do the Test 2 Procedure. Select the device from the list ore search for the serial number

Now click on the Allocate Device button.

Select the Hardware class and clear the program and product lock to 0 unless you want to lock it for sponsor ships. Click on the Save button.

Your allocation on the portal is ready. You can now Assign the device in the Device Manager.


Assign a Device

Help > Device Manager Ver 4.0 >

Assign a Device

When a device is distributed to wholesalers and dealers, it may still be un-activated. The dealer will have to Allocate the Device on the Portal and then activate the device through the Hyperspace Device Manager Ver 3.5 or 4.0. Activation can also be done at the customer once it is allocated on the portal by the Distributor.

The product must have final Ver 3.5 or Ver 4.0 firmware loaded. This is the normal HEX file firmware provided for different products. If it is connected to a simulator, it must be in Program mode to ensure it does not receive crank and cam trigger signals. This will lock the device from any software operations.

Connect the laptop with the USB cable to the device and switch the power on. Open the Hyperspace Device Manager for the version of firmware loaded. The example used Ver 4.0 Throttle by Wire firmware. Below you can see that Hardware Class and Firmware Type and number lock is not set.

Click on the Assign Device button.

Click Yes

Your device allocation will now be excepted and updated. See below how it has changed.


Chamge Password

Help > Portal Wholesaler >

Change Password

You may change your password if it is required. Click on the Password button left bottom corner.

Now enter the current password and new password. Click Change Password button.

Your password is now changed.


Device Manager Ver 3.5

Help >

Device Manager

For Device Manager related functions see the sub folders.


Device Manager Ver 4.0

Help >

Device Manager 4.0

For Device Manager related functions see the sub folders.


Firmware

Help >

Firmware

For firmware related functions see the sub folders.


Information Screen

Help > Device Manager Ver 3.5 >

Information Screen

When you start the Device Manager with no device connected you will see this screen.

If you open the Device Manager without a live device connected, you will come to the main pallet or screen which forms the framework of the Hyperspace software. It looks the same for all the devices. From here you can open map files, connect to devices and set basic settings required for the software to operate. See below all the functions that can be set from here.

At the top is the version number of the software.

The Login button will use the portal login details to allow access for serializing and other functions.

Connect disconnect button

Open Map file to select a tuned map and load it into all the map memories. It will clone the device with a specific map and calibration. On ECU it will be 2 maps and TCU will be 4 maps. After a map is loaded click connect button and download to device.

Connection status indicator

Settings menu

Help menu

Information message at right hand bottom.


Information Screen

Help > Device Manager Ver 4.0 >

Information Screen 4.0

When you start the Device Manager with a Ver 4 device connected, you will see this screen.

See below all the functions that can be set from here.

At the top is the version number of the software.

The assign button will activate a device with hardware class. This must be set up on the Portal by the distributor of the product beforehand. The Laptop must have internet connection.

The Login button will use the portal login details to allow access for serializing and other functions.

Connect / Disconnect button will connect or disconnect the device.

To load a Map file click the file open button and select a tuned map from PC and load it into the device. If you have the test firmware loaded then it will clone the map in all the MAP memories at once. This will be critical values like calibrations as well. It will clone the device with a specific map and calibration. On ECU it will be 2 maps and TCU will be 4 maps. After a map is loaded click connect button and download to device.

Connection status indicator

Settings menu

Help menu

Information message at right hand bottom.


Introduction

Help >

Introduction

The Portal is a process that will control inventory of Spitronics devices. It will hold all records and history of all the devices created and distributed to dealers. This is to keep track of remuneration, warrantees, and support chains. It consist of an internet based program called Portal, a Windows application program called Device Manager and custom firmware for specific devices.

The Spitronics Portal manual will explain the whole operation of the Portal, Device Manager and related Firmware for each device. The Hyperspace Device Manager program is a stand-alone program used to test and activate all Spitronics Devices like ECU, TCU and Simulators etc. It replaces the old Galaxy version of internet activations and software that had to be installed. This coincides with the new tuning software that will also be standalone products. Galaxy is still operational for old software but not for activations after the changeover.

Spitronics Portal

This internet based software will allow new devices to be crated, tested and serialized on the data base. Then it will keep track of stock in-house at Spitronics and allow it to be dispatched to wholesalers and users all around the globe. Wholesales can activate stock and test them and then ship it to their customers. Inventory form wholesalers can be tracked in real time to replenish stock and receive payments. Different levels of logins will allow different persons to use the site successful to do the tasks they need to achieve. This manual will explain all tasks that may not concern you so. See what level of login you have then read that chapter.

Hyperspace Device Manager

This PC based program is a multipurpose tool which is used to establish activations or testing devices and comes in different brand names. It will let you view your device details even with older firmware. If you have the test program of version 4 loaded in the device, then you may test the relevant inputs and outputs of the device. If you have other firmware loaded you may assign any allocations from the web to your device. That will be hardware class, program lock, sponsor counters and rebrand products.

Firmware

There are different levels of firmware that work with the above processes. Note that the user must have a programmer available.

Serializer - this is used by manufacturers to serialize each device and test it for functionality. They will also install Test 1 certificate to show competency of the device.

Wholesaler Diagnostic - this is a test program for simulators and will indicate all inputs on the software with bars and values. It will show all outputs on the simulator by flashing LED's in sequence. It will also indicate a red error if the customer has erased the code space. The normal test program will not connect if this is the case.

Test Program - this is a test program for simulators and will indicate all inputs on the software with bars and values. It will show all outputs on the simulator by flashing LED's in sequence.

Customer Test Program - this is a test program for use in the car and will indicate all inputs on the software with bars and values. It will not pulse the outputs as it will cause injectors and coils to fire.

Recover Program - this program is used to recover serial numbers and activation codes of devices that have been spiked in the memory. It will be device specific program on demand and is not a generic program.

See the sub folders for explanation:


Mercury2 Customer Test Program

Help > Device Manager Ver 3.5 >

Mercury2 Customer Test Program

This firmware will allow a dealer or customer with a programmer to test a device in a vehicle and see if all inputs are functional. This firmware will keep all the outputs in the off state. NB! Disconnect all the output connectors just to be sure as some may have logic level changes which mean that off is actually the active state for that output. Connectors P1, P4 and the Comms connector is the only ones that must be connected. It is only for use on a Spitronics Simulater2. NB! Do not load it in a system that is connected in a car because the injectors and coils will be pulsed and my damage the device or engine components.

This process will require the following:

· Relevant Device

· USB/UART Spitronics cable to connect to the relevant device with installed drivers

· Computer or laptop with internet connection.

· Device Manager Software

· USB Debug Adapter with installed software

The firmware for a device is called:

Mercury2 Customer Test Program Inputs Ver 4.0 26_03_2018.HEX

· Mercury2 - device that is tested

· Customer Test Program Inputs - Description of firmware

· Ver 4.0 - firmware version

· 26_03_2018 - the date of the firmware

· HEX - a file type extension used for programmers

Steps:

· Disconnect the output harnesses P2, P3 en P5 of the device

· Connect the device to the computer with the USB Debug Adapter

· Switch the ignition on but don't crank

· Open the Silicon Laboratories IDE software

· Load the Test Program in the device.

· Switch ignition off and disconnect the USB Debug Adapter. Connect the USB/UART Spitronics cable and switch on

· Open the Device Manager software and connect to the device

Device Manager

When you connect with the device manager you will see the following:

Device Information will give you some details of the device. Serial number, Hardware Class and program restriction is important. The other is related to this firmware. It is not too important for this process.

If you click on Tester then this screen will be visible

With this screen each input to the device is tested. On the simulator is LED's for each output. Further below is a description of each I/O to be tested.

The flash memory value [image] is the start prime pulse and should show the same value in the ECU firmware. That will indicate that the memory chip is functional and can save tuning maps.

If you load a map file with Test Program firmware then you will clone the device on both maps to the exact same calibrations as the map from the other device. This is handy if you want to make a carbon copy of 2 units.

First you need to load a start-up map into the device. Click the load button [image] and browse to where the map is. And then click open [image].

Click the connect button [image] .

Now click Download to device.

Testing the inputs of the Mercury2 Device

Note that this test is also adequate for TCU or other function firmware. It is merely testing all inputs with the engine sensors. Not all of the inputs is connected but you can see which ones is and if the values make sense more or less. The values below does not correlate to your engine sensors.

MAP Sensor - if this sensor is wired then you should see some value. If you suck or blow on its pipe it could change the value slightly.

TPS Potentiometer - you may press the accelerator pedal and it should move the bar. It will not hit the min or max range. If it does then it has a range problem mechanically.

LAMBDA Potentiometer - it should not move as the engine is not started.

WAT Sensor - it should show some value which will lower when the engine temperature rises.

AIR Sensor - it should show some value which will lower when the air temperature rises.

POT Potentiometer or launch switches - if this input is wired then you can test its function. It could be a POT for adjusting or clutch switch or retard input. You should see some action.

FUEL sensor - it should show some value which will not change due to fuel pressure that is not varying.

Batter Voltage - it should show the current battery voltage of around 12.7 if the battery is fully charged.

RPM indicator - it should be zero because the engine is not cranked. Do not crank it as this firmware does not know which crank trigger pattern is on the engine.

Memory chip operation test. It should show what the value of your prime pulse was.

If your unit test are satisfactory you may now load your firmware back in the device. Note that the map data will not be altered unless you loaded a map into the device. This is handy as your unit will be the same as it was before you loaded the Test Program.


Mercury2 Serializer

Help > Device Manager Ver 3.5 >

Mercury2 Serializer

This firmware will allow a manufacturer to serialize a new product with the help of the Portal web based program. This process will require the following:

· Relevant Device

· USB/UART Spitronics cable to connect to the relevant device with installed drivers

· Computer or laptop with internet connection.

· Device Manager Software

· Simulator with power

· USB Debug Adapter with installed software

· The user also need log in permission on the Portal from Spitronics management

The firmware for a device is called:

Mercury2 Simulater2 30 Serializer Ver 4.0 26_03_2018.HEX

· Mercury2 - device that is serialized

· Simulater2 - the model of simulator that the firmware is developed for

· 30 - Program number to be selected on Simulater2

· Serializer - Description of firmware

· Ver 4.0 - firmware version

· 26_03_2018 - the date of the firmware

· HEX - a file type extension used for programmers

Steps:

· Connect the simulator to the relevant device and use the correct simulator harness for that device

· Connect the device to the computer with the USB Debug Adapter

· Connect the simulator to power and switch on

· Open the Silicon Laboratories IDE software

· Load the Test Program in the device.

· Switch power off and disconnect the USB Debug Adapter. Connect the USB/UART Spitronics cable and switch on

· Open the Device Manager software and connect to the device

Portal

You first need to set up devices on the portal before serializing a device. Click on the links for more detailed explanation.

· Log in on the Portal as manufacturer or Spitronics Super

· Go to Administration - Device Management menu

· Generate new devices as a single or a range of serial numbers

Device Manager

Now log into the device manager by clicking on the unlock button [image]. You will see the following:

· Serial Number is the block of interest here. All new devices will be 255 255 255. Once serialised it will bear the final serial number of this device.

· Hardware confirm the device as do the photo.

· Hardware Class

· Product Release

· Firmware Class

· Program Number

· Protocol Version

· Firmware Version

· Program Restriction

If you click on Tester then this screen will be visible

With this screen each input to the device is tested. On the simulator is LED's for each output. Further below is a description of each I/O to be tested.

The flash memory value is always [image] for a new device. Note that it will change after a map is loaded. That will indicate that the memory chip is functional and can save tuning maps.

First you need to load a start-up map into the device. Click the load button [image] and browse to where the map is. And then click open [image].

Click the connect button [image] .

Now click Download to device.

This will open the assign button [image] which will be used later.

Note that this block now has another value than 255. Memory chip is now functional.

Testing the inputs of the Mercury2 Device

Note that this test is also adequate for TCU or other function firmware. It is merely testing all inputs and outputs with the Simulator ECU harness.

All the analogue bars must be tested for low and high scale. The POT or potentiometer must represent low and high limits. With other words when the pot is close or open the bar must be zero or full scale. Then movement from the pot must indicate movement from the bar. No dead band before the bar moves. That will be a fail.

or

Note that the bar may not reach 255 exactly as it may be variance in simulator voltage. But each similar device will sow the same values.

MAP Potentiometer

TPS Potentiometer

LAMBDA Potentiometer

WAT Potentiometer

AIR Potentiometer

POT Potentiometer

FUEL Potentiometer

Batter Voltage - must be confirmed at ECU input with multi meter

RPM indicator - it has 2 scales selectable by the PROG button. Low is 2100 max and high is 15600 max.

Memory chip operation test. 255 means failure after map is loaded.

No focus on the simulator and ECU for LED flashes. Below is a pattern and each LED must lit in this sequence. If there is a short between outputs then other LED's out of sequence will flash. The block in broken line is to flash the LED's on the Mercury2 in sequence. To view this go to slow speed and lowest RPM selection on the RPM Potentiometer.

You are now ready to serialise this device. Click on serialize button.

Type in or scan the serial number and click serialize.

You now have to confirm that these tests were successful and that TEST 1 on the portal can be logged on your name. Should the next dealer for Test 2 find different then I will be traced back to you. So make sure it is correct. Click the confirm check block and then continue.

A button will appear to remove the serial number [image] for Spitronics super user. If you click this it will delete the last action and cancel Test 1 on the Portal. This is handy if you used a wrong serial number in the list.


Mercury2 Serializer

Help > Device Manager Ver 4.0 > Mercury Programs >

Mercury2 Serializer 4.0

This firmware will allow a manufacturer to serialize a new product with the help of the Portal web based program. This process will require the following:

· Relevant Device

· USB/UART Spitronics cable to connect to the relevant device with installed drivers

· Computer or laptop with internet connection.

· Device Manager Software

· Simulator with power

· USB Debug Adapter with installed software

· The user also need log in permission on the Portal from Spitronics management

The firmware for a device is called:

Mercury2 Simulater2 30 Serializer Ver 4.0 13_08_2018.HEX

· Mercury2 - device that is serialized

· Simulater2 - the model of simulator that the firmware is developed for

· 30 - Program number to be selected on Simulater2

· Serializer - Description of firmware

· Ver 4.0 - firmware version

· 13_08_2018 - the date of the firmware

· HEX - a file type extension used for programmers

Steps:

· Connect the simulator to the relevant device and use the correct simulator harness for that device

· Connect the device to the computer with the USB Debug Adapter

· Connect the simulator to power and switch on

· Open the Silicon Laboratories IDE software

· Load the Test Program in the device.

· Switch power off and disconnect the USB Debug Adapter. Connect the USB/UART Spitronics cable and switch on

· Open the Device Manager Ver 4.0 software and connect to the device

You will see the start-up screen for the Serializer as below:

Portal

You don't need to set up devices on the portal before serializing a device. The serial number is a unique 4 byte number in the micro and the device manager will do the serialising on the Portal for you.

Device Manager

Now log into the device manager by clicking on the unlock button [image] . Use your Portal account details. You will see the following:

You will see Device information and Firmware loaded information.

· Device serial number is read from the device

· The flash Serial Number will be 255 255 255. Once serialised it will bear the last 3 bytes of the device serial number.

· Hardware Type and photo will indicate which device is connected

· Hardware Class, Firmware Type locked and Firmware Number locked comes with activation

· Brand Code is 1 which is Spitronics

· Firmware Type is Serializer program

· Firmware number is 251

· Firmware Class is Standard

· Firmware Ver is 4.0.0 which means Ver 4 software, Ver 0 is Protocol and last 0 is Release

If you click on Tester, then this screen will be visible

With this screen each input to the device is tested. On the simulator is LED's for each output. Further below is a description of each I/O to be tested.

The flash memory value is always [image] for a new device. Note that it will change after a map is loaded. This will indicate that the memory chip is functional and can save tuning maps.

First you need to load a start-up map into the device. Click the load button [image] and browse to where the map is. And then click open [image] .

Click the connect button [image] .

Now click Download to device.

This will open the serialize button [image] which will be used later.

Note that this block now has another value than 255. Memory chip is now functional.

Testing the inputs of the Mercury2 Device

Note that this test is also adequate for TCU or other function firmware. It is merely testing all inputs and outputs with the Simulator ECU harness.

All the analogue bars must be tested for low and high scale. The POT or potentiometer must represent low and high limits. With other words when the pot is close or open the bar must be zero or full scale. Then movement from the pot must indicate movement from the bar. No dead band before the bar moves. That will be a fail.

or

Note that the bar may not reach 255 exactly as it may be variance in simulator voltage. But each similar device will sow the same values.

MAP Potentiometer

TPS Potentiometer

LAMBDA Potentiometer

WAT Potentiometer

AIR Potentiometer

POT Potentiometer

FUEL Potentiometer

Batter Voltage - must be confirmed at ECU input with multi meter

RPM indicator - it has 2 scales selectable by the PROG button. Low is 2100 max and high is 15600 max.

Memory chip operation test. 255 means failure after map is loaded.

No focus on the simulator and ECU for LED flashes. Below is a pattern and each LED must light up in this sequence. If there is a short between outputs, then other LED's will flash out of sequence. The block in dashed line will flash the LED's on the Mercury2 in sequence. To view this, go to slow speed and lowest RPM selection on the RPM Potentiometer.

If you are convinced everything checks out correctly, then you may serialise this device. Click on serialize button.

Enter the batch number of the manufacturers system for tracking devices in his factory. Click Serialise button.

If you are sure about the functionality tests, click confirm and then continue.

The barcode printer is a special type that can print bar codes on small stickers. The serial number can be engraved on the PC board.

On the Portal this device is now added.

On the Device Manager you will see the serial number change. The Micro Processor and flash memory is now paired.


Mercury2 Test Program

Help > Device Manager Ver 3.5 >

Mercury2 Test Program

This firmware will allow a dealer to test a device and see if all inputs and outputs are functional. It is only for use on a Spitronics Simulater2. NB! Do not load it in a system that is connected in a car because the injectors and coils will be pulsed and my damage the device or engine components. This process will require the following:

· Relevant Device

· USB/UART Spitronics cable to connect to the relevant device with installed drivers

· Computer or laptop with internet connection.

· Device Manager Software

· Simulator with power

· USB Debug Adapter with installed software

The firmware for a device is called:

Mercury2 Simmilater2 30 Test Program In and Out Ver 4.0 26_03_2018.HEX

· Mercury2 - device that is tested

· Simulater2 - the model of simulator that the firmware is developed for

· 30 - Program number to be selected on Simulater2

· Test Program In and Out - Description of firmware

· Ver 4.0 - firmware version

· 26_03_2018 - the date of the firmware

· HEX - a file type extension used for programmers

Steps:

· Connect the simulator to the relevant device and use the correct simulator harness for that device

· Connect the device to the computer with the USB Debug Adapter

· Connect the simulator to power and switch on

· Open the Silicon Laboratories IDE software

· Load the Test Program in the device.

· Switch power off and disconnect the USB Debug Adapter. Connect the USB/UART Spitronics cable and switch on

· Open the Device Manager software and connect to the device

Device Manager

When you connect with the device manager you will see the following:

Device Information will give you some details of the device. Serial number, Hardware Class and program restriction is important. The other is related to this firmware. It is not too important for this process.

If you click on Tester then this screen will be visible

With this screen each input to the device is tested. On the simulator is LED's for each output. Further below is a description of each I/O to be tested.

The flash memory value [image] is the start prime pulse and should show the same value in the ECU firmware. That will indicate that the memory chip is functional and can save tuning maps.

If you load a map file with Test Program firmware then you will clone the device on both maps to the exact same calibrations as the map from the other device. This is handy if you want to make a carbon copy of 2 units.

First you need to load a start-up map into the device. Click the load button [image] and browse to where the map is. And then click open [image].

Click the connect button [image] .

Now click Download to device.

Testing the inputs of the Mercury2 Device

Note that this test is also adequate for TCU or other function firmware. It is merely testing all inputs and outputs with the Simulator ECU harness.

All the analogue bars must be tested for low and high scale. The POT or potentiometer must represent low and high limits. With other words when the pot is close or open the bar must be zero or full scale. Then movement from the pot must indicate movement from the bar. No dead band before the bar moves. That will be a fail.

or

Note that the bar may not reach 255 exactly as it may be variance in simulator voltage. But each similar device will sow the same values.

MAP Potentiometer

TPS Potentiometer

LAMBDA Potentiometer

WAT Potentiometer

AIR Potentiometer

POT Potentiometer

FUEL Potentiometer

Batter Voltage - must be confirmed at ECU input with multi meter

RPM indicator - it has 2 scales selectable by the PROG button. Low is 2100 max and high is 15600 max.

Memory chip operation test. 255 means failure after map is loaded.

No focus on the simulator and ECU for LED flashes. Below is a pattern and each LED must lit in this sequence. If there is a short between outputs then other LED's out of sequence will flash. The block in broken line is to flash the LED's on the Mercury2 in sequence. To view this go to slow speed and lowest RPM selection on the RPM Potentiometer.

If your unit test are the same then it is correct and you may now load your firmware back in the device. Note that the map data will not be altered unless you loaded a map into the device. This is handy as your unit will be the same as it was before you loaded the Test Program.


Mercury2 Wholesaler Diagnostic

Help > Device Manager Ver 3.5 >

Mercury2 Wholesaler Diagnostic

This firmware will allow a dealer to test if "Erase All Code Space" was pressed during programming. NB! This program does not have firmware lockout should it be loaded into another product from Spitronics. It could damage that product as the BIOS of the micros may not be the same. Take care not to load it in any device but Mercury2. Do not distribute to customers. If "Erase All Code Space" was pressed then all firmware will lock themselves and the device will be in frozen state. It will not communicate to any software. This Wholesaler Diagnostic firmware will communicate and operate as the normal Test Program. It will function to test a device and see if all inputs and outputs are functional. It will also indicate in red letters that the code space is erased. See below. This firmware is only for use on a Spitronics Simulater2. NB! Do not load it in a system that is connected in a car because the injectors and coils will be pulsed and my damage the device or engine components.

This process will require the following:

· Relevant Device

· USB/UART Spitronics cable to connect to the relevant device with installed drivers

· Computer or laptop with internet connection.

· Device Manager Software

· Simulator with power

· USB Debug Adapter with installed software

The firmware for a device is called:

Mercury2 Simmilater2 30 Wholesale Diagnostic In and Out Ver 4.0 26_03_2018.HEX

· Mercury2 - device that is tested

· Simulater2 - the model of simulator that the firmware is developed for

· 30 - Program number to be selected on Simulater2

· Wholesale Diagnostic In and Out - Description of firmware

· Ver 4.0 - firmware version

· 26_03_2018 - the date of the firmware

· HEX - a file type extension used for programmers

Steps:

· Connect the simulator to the relevant device and use the correct simulator harness for that device

· Connect the device to the computer with the USB Debug Adapter

· Connect the simulator to power and switch on

· Open the Silicon Laboratories IDE software

· Load the Wholesale Diagnostic program in the device.

· Switch power off and disconnect the USB Debug Adapter. Connect the USB/UART Spitronics cable and switch on

· Open the Device Manager software and connect to the device

Device Manager

When you connect with the device manager you will see the following:

Device Information will give you some details of the device. Serial number, Hardware Class and program restriction is important. The other is related to this firmware. It is not too important for this process.

Notice the warning in red. This device can only be repaired by the manufacturer at his premises. Take care not to press the "Erase All Code Space" button when you use the USB Debug adapter or programmer.

If you click on Tester then this screen will be visible.

With this screen each input to the device is tested. On the simulator is LED's for each output. Further below is a description of each I/O to be tested.

The flash memory value [image] is the start prime pulse and should show the same value in the ECU firmware. That will indicate that the memory chip is functional and can save tuning maps.

If you load a map file with Wholesale Diagnostic Program firmware then you will clone the device on both maps to the exact same calibrations as the map from the other device. This is handy if you want to make a carbon copy of 2 units.

First you need to load a start-up map into the device. Click the load button [image] and browse to where the map is. And then click open [image].

Click the connect button [image] .

Now click Download to device.

Testing the inputs of the Mercury2 Device

Note that this test is also adequate for TCU or other function firmware. It is merely testing all inputs and outputs with the Simulator ECU harness.

All the analogue bars must be tested for low and high scale. The POT or potentiometer must represent low and high limits. With other words when the pot is close or open the bar must be zero or full scale. Then movement from the pot must indicate movement from the bar. No dead band before the bar moves. That will be a fail.

or

Note that the bar may not reach 255 exactly as it may be variance in simulator voltage. But each similar device will sow the same values.

MAP Potentiometer

TPS Potentiometer

LAMBDA Potentiometer

WAT Potentiometer

AIR Potentiometer

POT Potentiometer

FUEL Potentiometer

Batter Voltage - must be confirmed at ECU input with multi meter

RPM indicator - it has 2 scales selectable by the PROG button. Low is 2100 max and high is 15600 max.

Memory chip operation test. 255 means failure after map is loaded.

No focus on the simulator and ECU for LED flashes. Below is a pattern and each LED must lit in this sequence. If there is a short between outputs then other LED's out of sequence will flash. The block in broken line is to flash the LED's on the Mercury2 in sequence. To view this go to slow speed and lowest RPM selection on the RPM Potentiometer.

If your unit test are the same then it is correct and you may now load your firmware back in the device. Note that the map data will not be altered unless you loaded a map into the device. This is handy as your unit will be the same as it was before you loaded the Wholesale Diagnostic Program.


Portal Wholesaler

Help >

Portal

For Portal related functions see the sub folders.


Generate Serial Numbers

Help > Portal Spitronics >

Portal Generate Serial Numbers

This section describes how to generate serial numbers for new devices. It is a process only accessible for Manufactures and Spitronics Supers. There are 2 options. You may generate single numbers and a range of numbers. It also requires a batch number. Only products that are in production can be generated.

Log on to the Portal.

Click on Administration and then on Device Management.

You will now see a list of devices with a top menu.

Click on generate button

Select between Multiple and Single serial number. If you want to generate a series of numbers select Multiple. Type in the number of devices and the batch number as well as the product type.

Click on Generate and the portal will generate the units for you. It will take the next available serial numbers on the list.

If you want to generate a specific number select Single. Type in the serial number of the device and the batch number as well as the product type.

Click on Generate and the portal will generate the unit for you

You have successfully created devices on the system and may proceed to serializing them on the Device Manager.


Login

Help > Portal Spitronics >

Portal Login

To log into the Portal you will need login username and password. This can be done by Spitronics personnel of certified dealers. Go to portal.spitronics.com.

Type in email and password. You are now in the portal and can proceed with tasks that are allowed with your status.

To log out of the Portal click on the power button left bottom corner. It will show a confirm message and click Yes.


Login

Help > Portal Wholesaler >

Portal Login

To log into the Portal, you will need login username and password. This can be done by Spitronics personnel of certified dealers. Go to portal.spitronics.com.

Type in email and password. You are now in the portal and can proceed with tasks that are allowed with your status.

To log out of the Portal click on the power button left bottom corner. It will show a confirm message and click Yes.


Recieve Stock

Help > Portal Wholesaler >

Receive Stock

Login to Portal as Wholesaler.

Click on Administration and Device manager.

You will see this screen below.

Click on Receive Stock button.

This block appears. Enter all the devices that you have received and click complete. Your stock is now received.


Recover Serial Number

Help > Portal Spitronics >

Recover Serial Number

This process can only be done by Spitronics Super grade. To recover a serial number requires specific firmware for each device. The process is discussed under the firmware section. There are one action required on the portal to reset the allocation so that hardware class and program restrictions can be reinstated by the Assign function of the Device Manager. Do the following steps:

Log on to the Portal.

Click on Administration and then on Device Management.

You will now see a list of devices with a top menu.

Under Serial number type in your device number that you want to reset.

Now click on the relevant device in the list and it will open that devices menu.

On top of the device data will be a button Reset Allocation. Click on it and follow the confirmation instructions.

The unit is now ready to be assigned on its original allocation and the Recover process is finished.


Recover Program

Help > Firmware >

Recover Serial Numbers

This firmware was developed to remotely recover serial numbers. If and ECU is spiked with high voltage its microprocessor may become unstable and write over its data memory chip. This is usually the cause of careless placing of ECU wires too close to HV spark plug tension leads or faulty wiring. Inductive loads that also draw power from the same lines as the ECU power may also be a cause.

To recover these setup details will require custom firmware from Spitronics for that specific device. On your side you will need the Device manager Ver 4.0 software and a programmer to load the firmware. Connect only P1 - 12 way connector and disconnect all the other connectors from the device.

First you open the device manager software and connect to the device with the normal USB communication cable. It will display the device information. Then hold the device in front of the screen so that the barcode and device information is displayed. Take a photo of them both and email it to Spitronics requesting a recover file. Take note of the firmware that was loaded so you can load it again after this process. Device, Program number Protocol and Version are important. You should have it on photo.

Spitronics will see if the device is legit and then make a recover file for you. The file name will say what device and serial number it is for. Below is an example of such a file.

Mercury2 Recover SN1987 Ver 4.0 .HEX

Now switch off and connect the programmer to the device. Switch the power on. Now load the firmware recover file into the device. Click on the disconnect button and notice the LED's on the device. All the available LED's will go on for 3 seconds then go off again. This means recovering was successful. If 1 or 2 stays on it means it was not successful. Note however that this process of successful will only happen once. So if you connect and disconnect again it will indicate unsuccessful.

Now you may connect and load the firmware for that engine back into the device. Switch off and disconnect the programmer. Connect the USB communication cable and start with the beginning with the device manager and see that the serial number is now correct. If it is correct there will now appear an Assign button on the right side.

Now you may close the Device manager and open your tuning software. Take care to go through your setup and graphs and see if there is no damage as well. You may need to restore it by loading the tuning map.

This firmware cannot recover an Erase All Code Space mistake. These units can only be recovered by the manufacturer which will require the unit to do so.

Precautions

Do not use this file again on another product. You will wipe that product serial number disabling its internet accessibility. Delete the file after use.


Test 2

Help > Portal Wholesaler >

Test 2

First confirm that the device is working correctly as the Test Procedure for this device explains in the Device Manager section. Failure to do this will void the change to exchange a defective product free of charge.

Select a device from the list.

You may type the serial number in the block under serial number to search for the device.

This screen will now be displayed.

Click on the Test 2 button.

Click on the Test Two Confirmation check box and click Yes.

Test 2 is now added and a test sheet could be printed from the system when required.


Upgrade Program

Help > Device Manager Ver 4.0 >

Upgrade Program to Ver 4.0

From version 4.0 there will be big changes in device codes and MAP data. This will require the unit to acquire a new unique serial number and activation codes that makes provision for rebranding. This process is a public process but will require a programmer and the Upgrade Firmware program for that device. The device must be registered and legal on the Portal though.

First disconnect the P2, P3 and P5 output connectors so that no outputs can damage coils or injector on the car. With the USB Debug Adapter load the relevant upgrade file into the device.

Connect the device to the laptop with the USB cable. Switch the device on. Now open the Hyperspace Device Manager Ver 4.0 software. It should connect and display the relevant device and firmware information.

If the Upgrade button is not visible there will be a message at the bottom with an error code to send to the dealer.

Notice the Device serial number. This will be the new serial number of your device. Engrave it on your PC Board and enclosure for future reference.

The Flash serial number is the old number that will be on your bar codes. After Upgrade, it will be replaced with the last 3 bytes of the Device serial number. See the screen example below.

Now click on the Upgrade Device button.

Click Yes

Your device details are updated on the Portal and you may now load Ver 3 or Ver 4 firmware and continue using your device.


Idle Control

Spitronics ECU's has the capabilities to do idle control. There are 2 main types of idle control motors namely; valve and stepper motor controllers. The new generation engines use the throttle by wire to do idle control. See the TxW manual for its explanation. It is not covered in this manual as it is a Spitronics standalone product.

(For more information, see sub folders.)

Related Links

Software

Idle Control Tuning


Error Codes

The ECU software has Error, Warning and Information codes displayed in the Status tool bar at the bottom. These codes will help the tuner to find problems during startup and tuning, also to see if the ECU is functioning correctly. Some of the functions on the ECU will indicate to the tuner what is happening. He can then see if these functions are operating correctly.

The codes are displayed at the right hand bottom corner. The code list [image] will display a list of accumulating codes so that the tuner can see what the codes were and in which order. The bottom indication will only show the last code. Also note that a code is only updated once, until it disappears and when it appears again the code will be logged again. This is to prevent the list from being too long. This does not apply to the angle sensor error codes during cranking. They will increment the counter as each one occurs.

Press the ''C'' key to clear the error codes. This is handy as you will not be able to see is the code is still present or if it was only listed once.

Note: If you crank an engine and it does not start, there will be one error code, error code 6 for Emergency Engine Shutdown. This is normal and not an actually an error. The ECU was expecting more trigger pulses but pulses were stopped. Therefore, the ECU goes into a safe shutdown of coils and injectors etc. A tip, press C then crank the engine. There should be no error and it will read 200 RPM's on the rev counter until the key is released.

The blue codes are for crank and cam related sensor errors. This is normally the angle signals that makes the ECU operate correctly. The red codes are warnings like over temperature etc. The green codes are for information of functions that were activated. The colors are only for explanation in this document.

The following list explain the different error codes

1 - Missing crank pulses - The crank sensor senses too little teeth per revolution

2 - Too many crank pulses or spikes - The crank sensor senses too many teeth per revolution

3 - Incorrect crank TDC slot - The crank sensor did not sense a TDC slot. (Maybe incorrect wiring)

4 - Missing TDC pulse - The TDC pulse is not present

5 - Missing home pulse - The Home pulse is not present

6 - Emergency engine shutdown - Safe shutdown of engine due to lack of or incorrect signals

7 - Fuel pressure safety cut-out - The fuel pressure sensor low limit has been reached

8 - Economy fuel cut-out - The fuel economy cut is implemented

9 - RPM limiter reached - The engine RPM limiter has been exceeded

10 - Max boost limiter reached - The boost pressure limit has been exceeded

11 - Water hot/cold temperature limiter reached - The water temperature limit has been exceeded

12 - Launch limiter reached - The launch limit RPM has been exceeded

13 - Lambda control limits reached - The lambda control limit has been reached

14 - Battery low voltage limit reached - The battery voltage falls below a critical limit

15 - Selection refreshed. Confirm driver placement - The ECU changed driver output configurations

16 - Timing retarded - Ignition timing is retarded during an automatic transmission shift procedure

17 - Flood control injector cut-out - Fuel is cut by injectors during cranking when the throttle is fully opened

18 - Flat-shift activated - Ignition or fuel is cut for a moment to enhance gearshift for racing engines

19 - Ignition power switched off - Ignition key power is switched off

20 - Sponsor counter depleted - The sponsor counter is depleted for sponsored ECU's

21 - Anti-Lag activated - Anti-Lag is activated on the Launch features


Idle Control

The ECU has the feature to control different types of idle motors found on an engine. Before adjusting the idle control settings, you need to select which type of valve or stepper is on the engine. Note: The stepper types idle motor (4 to 6 wire), require the external electronic driver. Also note that the electronic unit differs between the 4 Wire bipolar type motor and the 6 Wire common supply type motor.

Type Selection

The Type Selection can select between the two-wire spring-loaded Idle Valve, the three-wire spring or non-spring loaded Dual idle valve, the Bipolar Stepper motor or common supply Stepper motor. Stepper motors do not use the Low Limit and High Limit settings as they keep their position when there is no signal present. If there is no idle control select 'Not' used to free up valuable processor time and general purpose outputs.

Idle Valve

Two wire spring loaded idle valve only use one output from the ECU.

Dual Idle Valve

Three spring or non-spring loaded idle valve two outputs from the ECU.

Stepper Motor

Four or Six wire idle valves operate with a Spitronics Type 1 or Type 2 stepper motor controller, use one output from the ECU.

Settings

Drivers

This indication will show the installer which wires to connect on which outputs of the ECU. Driver 2 is only used for the dual valve to close. Note that positive and negative drivers may be used for idle control. If a valve is used, then make sure the Diode across it is wired correctly. (See the wiring diagrams and general purpose priority spreadsheet for correct installation.)

RPM

This setting is the target RPM's when the engine is on running temperature. When it is cold the ECU will automatically increase engine RPM's with up to 300 RPM's. This is calculated according to fuel enrichment on the water compensation map. Every 15% will increase 100 RPM on the Idle control.

Start %

This setting is used to increase the air intake when the engine is started hot or cold. The ECU will open the idle valve with this %. Note that on stepper controls it will activate 25% every time the key is switched on. If you don't start it, it may idle high at first then come back to idle target.

Response Time Up

This setting will determine the rate at which the valve opens when the actual RPM's fall below the set point in Idle RPM. The further the RPM fall below the set point, the faster the ECU will open the valve to let in more air. Low values will create a faster response time and high values will create a slower response time. This setting must prevent the engine from stalling when you switch the air conditioner on, or put it in drive.

Response Time Down

This setting will determine the rate at which the valve closes when the actual RPM's go above the set point in Idle RPM. The further the RPM goes above the set point, the faster the ECU will close the valve to decrease airflow into the engine. This value is set higher than the Response Up value, to eliminate hunting. Low values will create a faster response time and high values will create a slower response time. This setting must bring fast idling down as fast as possible without hunting the engine.

Low Limit duty cycle

This setting will preload the solenoid against the spring in the idle valve so that the valve starts to open immediately when the ECU starts increasing the value. It can also be used to set minimum idling RPM for throttle valves that closes completely. To set the value start with a larger % and decrease until the desired idling RPM is reached.

High Limit duty cycle

This setting is used to limit the maximum idle RPM's. No need to open the valve more than necessary. It also allows for the use of large valves in smaller engines. Make sure that when the engine is cold, it can still lift the RPM up to approx. 1500 RPM. This can be tested by entering a large Idle RPM value and limit the ECU from increasing it too high.

TPS Idle Cutoff %

This value is used to disable the idle control when the driver touches the throttle. The reason is that the ECU must know when not to control idle as the driver may need just a minimal amount of revs with slight throttle.

Related Links

Idle Control Wiring

Idle Control Tuning

Error Codes